ZEROCOPY_SG_FROM_ITE(9)

NAME
zerocopy_sg_from_iter - Build a zerocopy datagram from an iov_iter

SYNOPSIS

int zerocopy_sg_from_iter(struct sk_buff * skb, struct iov_iter * from);

ARGUMENTS

skb
    buffer to copy

from
    the source to copy from

DESCRIPTION

The function will first copy up to headlen, and then pin the userspace pages and build frags through them.

Returns 0, -EFAULT or -EMSGSIZE.

COPYRIGHT